Bug 1306562 - [RFE] Allow virDomainBlockCopy to use remote RBD volumes as the base backing image
Summary: [RFE] Allow virDomainBlockCopy to use remote RBD volumes as the base backing ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Han Han
URL:
Whiteboard:
Depends On: 760547
Blocks: 1293440 1306569 1477664 1546815 1623877 1519149 1636224
TreeView+ depends on / blocked
 
Reported: 2016-02-11 10:05 UTC by Lee Yarwood
Modified: 2019-04-09 12:18 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
: 1623877 (view as bug list)
Environment:
Last Closed: 2019-04-09 12:18:15 UTC


Attachments (Terms of Use)

Description Lee Yarwood 2016-02-11 10:05:55 UTC
Description of problem:

At present virDomainBlockRebase only allows the base backing image to be identified by a local file path on the system or by referencing the device[index] already present in the domain [1].

This is an issue when copying the entire chain to a new base image that is not yet connected to the host in question. For example with RBD volumes there should be no need to map these to the system prior to calling virDomainBlockRebase. It would be useful if virDomainBlockRebase would accept the connection details of a remote RBD volume as the base and then handle connecting to the volume before starting the rebase operation. This would allow Openstack Nova and other higher level services to avoid having to map RBD volumes etc to the host prior to calling for a rebase, simplifying the process greatly.

[1] https://libvirt.org/html/libvirt-libvirt-domain.html#virDomainBlockRebase

Comment 7 Peter Krempa 2017-03-31 12:36:37 UTC
The main problem here is with virDomainBlockCopy, which can also be reached (in a limited way) from the virDomainBlockRebase API. Using RBD natively will only be possible with the virDomainBlockCopy since only that allows to pass in a target specification via XML which is necessary for network storage.

Comment 15 Jaroslav Suchanek 2019-04-09 12:18:15 UTC
This feature will be finished in the next major release of RHEL.


Note You need to log in before you can comment on or make changes to this bug.